ANU-NQ(1)

NAME
anu-nq - The nq command line interface

SYNOPSIS
anu-nq [-a] [-M] [-d] [-g] [-v] [-s] [-f] [-c] [-m] [-t <n>] [-l <n>] [-r <n>] [-n <n>] [-e <n>] [-y] [-o] [-p] [-E] [presentation] [class]

DESCRIPTION
This is the man page for the ANU nq program. It briefly documents the parameters. The main documentation is part of the GAP nq documentation which is available in html and pdf format.

The options -l, -r and -e can be used to enforce Engel conditions on the nilpotent quotient to be calculated. All these options have to be followed by a positive integer <n>. Their meaning is the following:

-n <k>
    This option forces the first k generators to be left or right Engel element if also the option -l or -r (or both) is present. Otherwise it is ignored.

-l <n>
    This forces the first k generators <M>g_1,...,g_k</M> of the nilpotent quotient Q to be left n-Engel elements, i.e., they satisfy <M>[x,...,x,g_i] = 1 (x occurring n-times) for all x in Q and <M>1 <= i <= k</M>. If the option -n is not used, then k = 1.

-r <n>
    This forces the first k generators <M>g_1,...,g_k</M> of the nilpotent quotient Q to be right n-Engel elements,i.e., they satisfy <M>[g_i,x,..,x] = 1 (x occurring n-times) for all x in Q and <M>1 <= i <= k</M>. If the option -n is not used, then k = 1.

-e <n>
    This enforces the n-th Engel law on Q, i.e., <M>[x,y,..,y] = 1 (y occurring n-times) for all x,y in Q.

-t <n>
    This option specifies how much CPU time the program is allowed to use. It will terminate after <n> seconds of CPU time. If <n> is followed (without space) by one of the letters m, h or d, <n> specifies the time in minutes, hours or days, respectively.

The other options have the following meaning. Care has to be taken when the options -s or -c are used since the resulting nilpotent quotient need NOT satisfy the required Engel condition. The reason for this is that a smaller set of test words is used if one of these two options are present. Although this smaller set of test words seems to be sufficient to enforce the required Engel condition, this fact has not been proven.

-a  For each factor of the lower central series a file is created in the current directory that contains an integer matrix describing the factor as abelian group. The first number in that file is the number of columns of the matrix. Then the matrix follows in row major order. The matrix for the i-th factor is put into the file presentation.abinv.<i>.

-p  toggles printing of the pc presentation for the nilpotent quotient at the end of a calculation.

-s  This option causes the program to check only semigroup words in the generating set of the nilpotent quotient when an Engel condition is enforced. If none of the options -l, -r or -e are present, it is ignored.

-f  This option causes to check semiwords in the generating set of the nilpotent quotient first and then all other words that need to be checked. It is ignored if the option -s is used or none of the options -l, -r or -e are present.

-c  This option stops checking the Engel law at each class if all the checks of a certain weight did not yield any non-trivial instances of the law.

-d  Switch on debug mode and perform checks during the computation. Not yet implemented.

-o  In checking Engel identities, instances are process in the order of increased weight. This flag reverses the order.

-y  Enforce the identities <M>x^8</M> and <M>[ [x1,x2,x3], [x4,x5,x6] ]</M> on the nilpotent quotient.

-v  Switch on verbose mode.

-g  Produce GAP output. Presently the GAP output consists only of a sequence of integer matrices whose rows are relations of the factors of the lower central series as abelian groups. This will change as soon as GAP can handle infinite polycyclic groups.

-E  the last n generators are Engel generators. This works in conjunction with option -n.

-m  output the relation matrix for each factor of the lower central series. The matrices are written to files with the names 'matrix.cl' where cl is replaced by the number of the factor in the lower central series. Each file contains first the number of columns of the matrix and then the rows of the matrix. The matrix is written as each relation is produced and is not in upper triangular form.

-M  output the relation matrix before and after relations have been enforced. This results in two groups of files with names 'pres.nilp.cl' and 'pres.mult.cl' where pres is the name of the input files and cl is the class. The matrices are in upper triangular form.

COPYRIGHT
The ANU nq program is Copyright (C) by Werner Nickel.

SEE ALSO
The GAP nq manual /usr/share/gap/pkg/nq/doc/manual.pdf